# Auto generated by ./tcwg/generate-yamlfiles.sh from tcwg-update-lnt-results.yaml.in and tcwg-update-lnt-results/tcwg-update-lnt-results.def. Do not edit.
#BEGIN: tcwg/default.yaml.inc
# -*- mode: Yaml -*-

- property:
    name: default-properties
    properties:
      - authorization:
          anonymous:
            - job-read
            - job-extended-read
          everyone-flat:
            - job-build
            - job-cancel
      - build-discarder:
          days-to-keep: 20

- scm:
    name: jenkins-scripts
    scm:
      - git:
          url: https://gitlab.com/LinaroLtd/tcwg/jenkins-scripts.git
          refspec: +refs/heads/*:refs/remotes/origin/* +refs/changes/*:refs/changes/*
          branches:
            - $scripts_branch
          basedir: jenkins-scripts
          skip-tag: true
          reference-repo: /home/tcwg-buildslave/snapshots-ref/jenkins-scripts.git
          wipe-workspace: false
          clean:
            before: true
          prune: true

#END:   tcwg/default.yaml.inc

- job:
    name: tcwg-update-lnt-results
    project-type: freestyle
    defaults: global
    properties:
        - default-properties
    parameters:
        - label:
            name: nodes
            default: tcwg-lnt
            all-nodes: true
            matching-label: 'allCases'
            description: 'Machines or label to run on'
        - string:
            name: ci_project
            default: 'default'
            description: "CI project ID; used as namespace for git branches"
        - string:
            name: ci_config
            default: 'default'
            description: "CI configuration ID; used as name of git branches"
        - bool:
            name: verbose
            default: 'true'
            description: 'Whether to be verbose'
        - string:
            name: scripts_branch
            default: master
            description: 'Scripts revision to use'
    disabled: false
    node: tcwg-coordinator
    concurrent: true
    display-name: 'TCWG Update LNT results'
    workspace: workspace/tcwg-update-lnt-results_${NODE_NAME}_${EXECUTOR_NUMBER}
    scm:
      - jenkins-scripts
    wrappers:
        - timeout:
            timeout: 600
        - timestamps
        - ssh-agent-credentials:
            # tcwg-buildslave user id
            users:
                - 'e0958a95-204f-4c14-a66c-5e2be6c5d50a'
        - build-name:
            name: '#${BUILD_NUMBER}-${NODE_NAME} ($ci_project--$ci_config)'
    builders:
      - shell:
          command: |
            #!/bin/bash
            set -ex

            ./jenkins-scripts/tcwg-update-lnt-results.sh \
               --lnt_config "$NODE_NAME" \
               --ci_project "$ci_project" \
               --ci_config "$ci_config" \
               --verbose "$verbose"
    publishers:
      - email-ext:
          recipients: 'laurent.alfonsi@linaro.org,maxim.kuvyrkov@linaro.org'
# checksum: 428937ea46bfabf444a18492e7a7c757
